## view.xhtml
Class Table

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Table

Direct Known Subclasses:
  FormTable, ListTable, RegistrationPage.DiscountTable

    public class Table

extends ContainerElement

Constructor Summary
`Table()` Constructs the element.
`Table(int border)` As above, but...

Method Summary
`Tr` `addTr()` Adds and returns a row element.

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Table

    public Table()

  Constructs the element.

### Table

    public Table(int border)

  As above, but...

  Parameters:
    `border` - a value for the 'border' attribute.

Method Detail

### addTr

    public final Tr addTr()

  Adds and returns a row element.